diff --git a/src/providers/ad/ad_subdomains.c b/src/providers/ad/ad_subdomains.c
index d8e9b26..b2d3223 100644
--- a/src/providers/ad/ad_subdomains.c
+++ b/src/providers/ad/ad_subdomains.c
@@ -120,13 +120,13 @@ ad_subdom_store(struct ad_subdomains_ctx *ctx,
     ret = sysdb_attrs_get_uint32_t(subdom_attrs, AD_AT_TRUST_TYPE,
                                    &trust_type);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sysdb_attrs_get_uint32_t failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sysdb_attrs_get_uint32_t failed.\n");
         goto done;
     }
 
     ret = sysdb_attrs_get_string(subdom_attrs, AD_AT_TRUST_PARTNER, &name);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("failed to get subdomain name\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "failed to get subdomain name\n");
         goto done;
     }
 
@@ -138,14 +138,14 @@ ad_subdom_store(struct ad_subdomains_ctx *ctx,
 
     ret = sysdb_attrs_get_string(subdom_attrs, AD_AT_FLATNAME, &flat);
     if (ret) {
-        DEBUG(SSSDBG_OP_FAILURE, ("failed to get flat name of subdomain %s\n",
-                                  name));
+        DEBUG(SSSDBG_OP_FAILURE, "failed to get flat name of subdomain %s\n",
+                                  name);
         goto done;
     }
 
     ret = sysdb_attrs_get_el(subdom_attrs, AD_AT_SID, &el);
     if (ret != EOK || el->num_values != 1) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sdap_attrs_get_el failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sdap_attrs_get_el failed.\n");
         goto done;
     }
 
@@ -155,7 +155,7 @@ ad_subdom_store(struct ad_subdomains_ctx *ctx,
                                    &sid_str);
     if (err != IDMAP_SUCCESS) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Could not convert SID: [%s].\n", idmap_error_string(err)));
+              "Could not convert SID: [%s].\n", idmap_error_string(err));
         ret = EFAULT;
         goto done;
     }
@@ -168,7 +168,7 @@ ad_subdom_store(struct ad_subdomains_ctx *ctx,
     ret = sysdb_subdomain_store(domain->sysdb, name, realm, flat, sid_str,
                                 mpg, false, NULL);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sysdb_subdomain_store failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sysdb_subdomain_store failed.\n");
         goto done;
     }
 
@@ -202,7 +202,7 @@ static errno_t ad_subdomains_refresh(struct ad_subdomains_ctx *ctx,
             }
             ret = sysdb_attrs_get_string(reply[c], AD_AT_TRUST_PARTNER, &value);
             if (ret != EOK) {
-                DEBUG(SSSDBG_OP_FAILURE, ("sysdb_attrs_get_string failed.\n"));
+                DEBUG(SSSDBG_OP_FAILURE, "sysdb_attrs_get_string failed.\n");
                 goto done;
             }
             if (strcmp(value, dom->name) == 0) {
@@ -227,8 +227,8 @@ static errno_t ad_subdomains_refresh(struct ad_subdomains_ctx *ctx,
                 /* Nothing we can do about the error. Let's at least try
                  * to reuse the existing domains
                  */
-                DEBUG(SSSDBG_MINOR_FAILURE, ("Failed to parse subdom data, "
-                      "will try to use cached subdomain\n"));
+                DEBUG(SSSDBG_MINOR_FAILURE, "Failed to parse subdom data, "
+                      "will try to use cached subdomain\n");
             }
             handled[c] = true;
             h++;
@@ -253,8 +253,8 @@ static errno_t ad_subdomains_refresh(struct ad_subdomains_ctx *ctx,
          */
         ret = ad_subdom_store(ctx, domain, reply[c]);
         if (ret) {
-            DEBUG(SSSDBG_MINOR_FAILURE, ("Failed to parse subdom data, "
-                  "will try to use cached subdomain\n"));
+            DEBUG(SSSDBG_MINOR_FAILURE, "Failed to parse subdom data, "
+                  "will try to use cached subdomain\n");
         }
     }
 
@@ -298,15 +298,15 @@ static void ad_subdomains_retrieve(struct ad_subdomains_ctx *ctx,
     req_ctx->sdap_op = sdap_id_op_create(req_ctx,
                                          ctx->ldap_ctx->conn_cache);
     if (req_ctx->sdap_op == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sdap_id_op_create failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sdap_id_op_create failed.\n");
         ret = ENOMEM;
         goto done;
     }
 
     req = sdap_id_op_connect_send(req_ctx->sdap_op, req_ctx, &ret);
     if (req == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sdap_id_op_connect_send failed: %d(%s).\n",
-                                  ret, strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "sdap_id_op_connect_send failed: %d(%s).\n",
+                                  ret, strerror(ret));
         goto done;
     }
 
@@ -335,12 +335,12 @@ static void ad_subdomains_get_conn_done(struct tevent_req *req)
     if (ret) {
         if (dp_error == DP_ERR_OFFLINE) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("No AD server is available, cannot get the "
-                   "subdomain list while offline\n"));
+                  "No AD server is available, cannot get the "
+                   "subdomain list while offline\n");
         } else {
             DEBUG(SSSDBG_OP_FAILURE,
-                  ("Failed to connect to AD server: [%d](%s)\n",
-                   ret, strerror(ret)));
+                  "Failed to connect to AD server: [%d](%s)\n",
+                   ret, strerror(ret));
         }
 
         goto fail;
@@ -351,7 +351,7 @@ static void ad_subdomains_get_conn_done(struct tevent_req *req)
                                 ctx->sdap_op,
                                 ctx->sd_ctx->domain_name);
     if (req == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("ad_master_domain_send failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "ad_master_domain_send failed.\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -373,14 +373,14 @@ static void ad_subdomains_master_dom_done(struct tevent_req *req)
                                 &ctx->flat_name, &ctx->master_sid);
     talloc_zfree(req);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Cannot retrieve master domain info\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Cannot retrieve master domain info\n");
         goto done;
     }
 
     ret = sysdb_master_domain_add_info(ctx->sd_ctx->be_ctx->domain,
                                        ctx->flat_name, ctx->master_sid);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Cannot save master domain info\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Cannot save master domain info\n");
         goto done;
     }
 
@@ -421,7 +421,7 @@ static errno_t ad_subdomains_get_slave(struct ad_subdomains_req_ctx *ctx)
                            false);
 
     if (req == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sdap_get_generic_send failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sdap_get_generic_send failed.\n");
         return ENOMEM;
     }
 
@@ -443,7 +443,7 @@ static void ad_subdomains_get_slave_domain_done(struct tevent_req *req)
     ret = sdap_get_generic_recv(req, ctx, &reply_count, &reply);
     talloc_zfree(req);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sdap_get_generic_send request failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sdap_get_generic_send request failed.\n");
         goto done;
     }
 
@@ -471,27 +471,27 @@ static void ad_subdomains_get_slave_domain_done(struct tevent_req *req)
     ret = ad_subdomains_refresh(ctx->sd_ctx, ctx->reply_count, ctx->reply,
                                 &refresh_has_changes);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Failed to refresh subdomains.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Failed to refresh subdomains.\n");
         goto done;
     }
 
     if (refresh_has_changes) {
         ret = sysdb_update_subdomains(ctx->sd_ctx->be_ctx->domain);
         if (ret != EOK) {
-            DEBUG(SSSDBG_OP_FAILURE, ("sysdb_update_subdomains failed.\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "sysdb_update_subdomains failed.\n");
             goto done;
         }
 
         ret = ads_store_sdap_subdom(ctx->sd_ctx, ctx->sd_ctx->be_ctx->domain);
         if (ret != EOK) {
-            DEBUG(SSSDBG_OP_FAILURE, ("ads_store_sdap_subdom failed.\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "ads_store_sdap_subdom failed.\n");
             goto done;
         }
 
         ret = sss_write_domain_mappings(ctx->sd_ctx->be_ctx->domain, false);
         if (ret != EOK) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("sss_krb5_write_mappings failed.\n"));
+                  "sss_krb5_write_mappings failed.\n");
             /* Just continue */
         }
     }
@@ -530,14 +530,14 @@ static void ad_subdom_online_cb(void *pvt)
 
     ctx = talloc_get_type(pvt, struct ad_subdomains_ctx);
     if (!ctx) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Bad private pointer\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Bad private pointer\n");
         return;
     }
 
     be_req = be_req_create(ctx, NULL, ctx->be_ctx,
                            ad_subdom_be_req_callback, NULL);
     if (be_req == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("be_req_create() failed.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "be_req_create() failed.\n");
         return;
     }
 
@@ -547,7 +547,7 @@ static void ad_subdom_online_cb(void *pvt)
     ctx->timer_event = tevent_add_timer(ctx->be_ctx->ev, ctx, tv,
                                         ad_subdom_timer_refresh, ctx);
     if (!ctx->timer_event) {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("Failed to add subdom timer event\n"));
+        DEBUG(SSSDBG_MINOR_FAILURE, "Failed to add subdom timer event\n");
     }
 }
 
@@ -602,7 +602,7 @@ int ad_subdom_init(struct be_ctx *be_ctx,
 
     ctx = talloc_zero(id_ctx, struct ad_subdomains_ctx);
     if (ctx == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_zero failed.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "talloc_zero failed.\n");
         return ENOMEM;
     }
 
@@ -612,7 +612,7 @@ int ad_subdom_init(struct be_ctx *be_ctx,
     ctx->sdap_id_ctx = id_ctx->sdap_id_ctx;
     ctx->domain_name = talloc_strdup(ctx, ad_domain);
     if (ctx->domain_name == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("talloc_strdup failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "talloc_strdup failed.\n");
         return ENOMEM;
     }
     *ops = &ad_subdomains_ops;
@@ -620,18 +620,18 @@ int ad_subdom_init(struct be_ctx *be_ctx,
 
     ret = be_add_online_cb(ctx, be_ctx, ad_subdom_online_cb, ctx, NULL);
     if (ret != EOK) {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("Failed to add subdom online callback"));
+        DEBUG(SSSDBG_MINOR_FAILURE, "Failed to add subdom online callback");
     }
 
     ret = be_add_offline_cb(ctx, be_ctx, ad_subdom_offline_cb, ctx, NULL);
     if (ret != EOK) {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("Failed to add subdom offline callback"));
+        DEBUG(SSSDBG_MINOR_FAILURE, "Failed to add subdom offline callback");
     }
 
     err = sss_idmap_init(sss_idmap_talloc, ctx, sss_idmap_talloc_free,
                          &ctx->idmap_ctx);
     if (err != IDMAP_SUCCESS) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to initialize idmap context.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to initialize idmap context.\n");
         return EFAULT;
     }
 
